{ lib
, pkgs
, config
, ...
}:
{
  home = {
    username = "harald";
    homeDirectory = "/home/${config.home.username}";
    stateVersion = "23.11"; # Please read the comment before changing.
    sessionPath = [ "$HOME/bin" ];
  };

  nix.settings = {
    substituters = [ "https://cache.nixos.org" "https://nixsgx.cachix.org" ];
    trusted-public-keys = [
      "cache.nixos.org-1:6NCHdD59X431o0gWypbMrAURkbJ16ZPMQFGspcDShjY="
      "nixsgx.cachix.org-1:tGi36DlY2joNsIXOlGnSgWW0+E094V6hW0umQRo/KoE="
    ];
  };

  plusultra = {
    cli-apps = {
      bash.enable = true;
      fish.enable = true;
      neovim.enable = true;
      tmux.enable = true;
      bat.enable = true;
      starship.enable = true;
      home-manager.enable = true;
    };
    tools = {
      git.enable = true;
      direnv.enable = true;
      ssh.enable = true;
    };
  };
}

