{ lib
, config
, ...
}:
{
  home.sessionPath = [ "$HOME/bin" ];

  plusultra = {
    user = {
      enable = true;
      name = config.snowfallorg.user.name;
    };
    cli-apps = {
      bash.enable = true;
      fish.enable = true;
      neovim.enable = true;
      bat.enable = true;
      starship.enable = true;
      home-manager.enable = true;
    };
    tools = {
      git.enable = true;
      direnv.enable = true;
    };
  };

  fonts.fontconfig.enable = true;

  dconf.settings = {
    # ...
    "org/gnome/shell" = {
      disable-user-extensions = false;

      # `gnome-extensions list` for a list
      enabled-extensions = [
        "Vitals@CoreCoding.com"
        "appindicatorsupport@rgcjonas.gmail.com"
        "dash-to-panel@jderose9.github.com"
        "hibernate-status@dromi"
      ];

      favorite-apps = [
        "org.gnome.Console.desktop"
        "jetbrains-toolbox.desktop"
        "org.mozilla.firefox.desktop"
        "firefox.desktop"
        "thunderbird.desktop"
        "org.mozilla.Thunderbird.desktop"
        "slack.desktop"
        "keybase.desktop"
        "spotify.desktop"
        "org.gnome.Nautilus.desktop"
        "virt-manager.desktop"
      ];
    };
    "org/virt-manager/virt-manager/connections" = {
      autoconnect = [ "qemu:///system" ];
      uris = [ "qemu:///system" ];
    };
  };

  xdg.enable = true;
  xdg.mime.enable = true;
}

